Mailinglist Archive: opensuse-bugs (7763 mails)

< Previous Next >
[Bug 194711] IBM Java 1.4.2 & 1.5.0 does not work with newest glibc
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Fri, 8 Dec 2006 19:41:06 -0700 (MST)
  • Message-id: <20061209024106.7F94925C887@xxxxxxxxxxxxxxxxxxxxxx>
https://bugzilla.novell.com/show_bug.cgi?id=194711





------- Comment #28 from bugproxy@xxxxxxxxxx 2006-12-08 19:41 MST -------
----- Additional Comments From suzukikp@xxxxxxxxxx (prefers email at
suzuki@xxxxxxxxxx) 2006-12-08 21:37 EDT -------
putenv("") = 0
free(0x4010a1f0) = <void>
getenv("double free or corruption (!prev"...) = "" <<- This looks bad..

execvp(0x7fffc6f97cd0, 0x7fffc6f967d8, 18, 0xfefefefefefefeff, 0libjvm.so
preloadLibrary: /libj9vm22.so: cannot open shared object file: No such file or
directory
libjvm.so failed to load: j9vm22

I think we are passing invalid environment variables the jvm, which is causing
the problem.

Debugging further.


--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.

< Previous Next >